using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WinRT.BxlComponent.Plugin.BxlMpXamarinSDK.Abstractions
{
    internal class MPosEscPosCmdBuilder
    {
        internal static byte[] getPrintTextCmd(byte[] data, MPosFontAttribute attribute)
        {
            return new MPosEscPosCmdBuilderHelper().getPrintTextCmd(data, attribute);
        }
        internal static byte[] getPrintFarsiTextCmd(string data, MPosFontAttribute attribute)
        {
            return new MPosEscPosCmdBuilderHelper().getPrintFarsiTextCmd(data, attribute);
        }
        internal static byte[] getPrint1DBarcodeCmd(string data, int symbology, int width, int height, int alignment, int textPosition)
        {
            return new MPosEscPosCmdBuilderHelper().getPrint1DBarcodeCmd(data, symbology, width, height, alignment, textPosition);
        }
        internal static byte[] getSecurityCode()
        {
            return new MPosEscPosCmdBuilderHelper().getSecurityCode();
        }
    }
}
